cURL
curl --request POST \
--url https://cloud.activepieces.com/api/v1/ai-providers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"config": {
"apiKeyHeader": "<string>",
"baseUrl": "<string>",
"models": [
{
"modelId": "<string>",
"modelName": "<string>"
}
],
"defaultHeaders": {}
},
"auth": {
"apiKey": "<string>"
},
"enabledForChat": true,
"modelIds": [
"<string>"
],
"projectIds": [
"<string>"
]
}
'import requests
url = "https://cloud.activepieces.com/api/v1/ai-providers/{id}"
payload = {
"displayName": "<string>",
"config": {
"apiKeyHeader": "<string>",
"baseUrl": "<string>",
"models": [
{
"modelId": "<string>",
"modelName": "<string>"
}
],
"defaultHeaders": {}
},
"auth": { "apiKey": "<string>" },
"enabledForChat": True,
"modelIds": ["<string>"],
"projectIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
config: {
apiKeyHeader: '<string>',
baseUrl: '<string>',
models: [{modelId: '<string>', modelName: '<string>'}],
defaultHeaders: {}
},
auth: {apiKey: '<string>'},
enabledForChat: true,
modelIds: ['<string>'],
projectIds: ['<string>']
})
};
fetch('https://cloud.activepieces.com/api/v1/ai-providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.activepieces.com/api/v1/ai-providers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'config' => [
'apiKeyHeader' => '<string>',
'baseUrl' => '<string>',
'models' => [
[
'modelId' => '<string>',
'modelName' => '<string>'
]
],
'defaultHeaders' => [
]
],
'auth' => [
'apiKey' => '<string>'
],
'enabledForChat' => true,
'modelIds' => [
'<string>'
],
'projectIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.activepieces.com/api/v1/ai-providers/{id}"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"config\": {\n \"apiKeyHeader\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"models\": [\n {\n \"modelId\": \"<string>\",\n \"modelName\": \"<string>\"\n }\n ],\n \"defaultHeaders\": {}\n },\n \"auth\": {\n \"apiKey\": \"<string>\"\n },\n \"enabledForChat\": true,\n \"modelIds\": [\n \"<string>\"\n ],\n \"projectIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.activepieces.com/api/v1/ai-providers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"config\": {\n \"apiKeyHeader\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"models\": [\n {\n \"modelId\": \"<string>\",\n \"modelName\": \"<string>\"\n }\n ],\n \"defaultHeaders\": {}\n },\n \"auth\": {\n \"apiKey\": \"<string>\"\n },\n \"enabledForChat\": true,\n \"modelIds\": [\n \"<string>\"\n ],\n \"projectIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.activepieces.com/api/v1/ai-providers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"config\": {\n \"apiKeyHeader\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"models\": [\n {\n \"modelId\": \"<string>\",\n \"modelName\": \"<string>\"\n }\n ],\n \"defaultHeaders\": {}\n },\n \"auth\": {\n \"apiKey\": \"<string>\"\n },\n \"enabledForChat\": true,\n \"modelIds\": [\n \"<string>\"\n ],\n \"projectIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"provider": "openai",
"config": {
"apiKeyHeader": "<string>",
"baseUrl": "<string>",
"models": [
{
"modelId": "<string>",
"modelName": "<string>",
"modelType": "image"
}
],
"defaultHeaders": {},
"apiStyle": "chat"
},
"enabledForChat": true,
"modelScope": "all",
"modelIds": [
"<string>"
],
"projectScope": "all",
"projectIds": [
"<string>"
],
"status": "active",
"statusReason": "<string>",
"statusUpdated": "<string>"
}Providers
Update an AI Provider Key
Update an AI provider key: its name, credentials, model scope or project access.
POST
/
v1
/
ai-providers
/
{id}
cURL
curl --request POST \
--url https://cloud.activepieces.com/api/v1/ai-providers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"config": {
"apiKeyHeader": "<string>",
"baseUrl": "<string>",
"models": [
{
"modelId": "<string>",
"modelName": "<string>"
}
],
"defaultHeaders": {}
},
"auth": {
"apiKey": "<string>"
},
"enabledForChat": true,
"modelIds": [
"<string>"
],
"projectIds": [
"<string>"
]
}
'import requests
url = "https://cloud.activepieces.com/api/v1/ai-providers/{id}"
payload = {
"displayName": "<string>",
"config": {
"apiKeyHeader": "<string>",
"baseUrl": "<string>",
"models": [
{
"modelId": "<string>",
"modelName": "<string>"
}
],
"defaultHeaders": {}
},
"auth": { "apiKey": "<string>" },
"enabledForChat": True,
"modelIds": ["<string>"],
"projectIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
config: {
apiKeyHeader: '<string>',
baseUrl: '<string>',
models: [{modelId: '<string>', modelName: '<string>'}],
defaultHeaders: {}
},
auth: {apiKey: '<string>'},
enabledForChat: true,
modelIds: ['<string>'],
projectIds: ['<string>']
})
};
fetch('https://cloud.activepieces.com/api/v1/ai-providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.activepieces.com/api/v1/ai-providers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'config' => [
'apiKeyHeader' => '<string>',
'baseUrl' => '<string>',
'models' => [
[
'modelId' => '<string>',
'modelName' => '<string>'
]
],
'defaultHeaders' => [
]
],
'auth' => [
'apiKey' => '<string>'
],
'enabledForChat' => true,
'modelIds' => [
'<string>'
],
'projectIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.activepieces.com/api/v1/ai-providers/{id}"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"config\": {\n \"apiKeyHeader\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"models\": [\n {\n \"modelId\": \"<string>\",\n \"modelName\": \"<string>\"\n }\n ],\n \"defaultHeaders\": {}\n },\n \"auth\": {\n \"apiKey\": \"<string>\"\n },\n \"enabledForChat\": true,\n \"modelIds\": [\n \"<string>\"\n ],\n \"projectIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.activepieces.com/api/v1/ai-providers/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"config\": {\n \"apiKeyHeader\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"models\": [\n {\n \"modelId\": \"<string>\",\n \"modelName\": \"<string>\"\n }\n ],\n \"defaultHeaders\": {}\n },\n \"auth\": {\n \"apiKey\": \"<string>\"\n },\n \"enabledForChat\": true,\n \"modelIds\": [\n \"<string>\"\n ],\n \"projectIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.activepieces.com/api/v1/ai-providers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"config\": {\n \"apiKeyHeader\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"models\": [\n {\n \"modelId\": \"<string>\",\n \"modelName\": \"<string>\"\n }\n ],\n \"defaultHeaders\": {}\n },\n \"auth\": {\n \"apiKey\": \"<string>\"\n },\n \"enabledForChat\": true,\n \"modelIds\": [\n \"<string>\"\n ],\n \"projectIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"provider": "openai",
"config": {
"apiKeyHeader": "<string>",
"baseUrl": "<string>",
"models": [
{
"modelId": "<string>",
"modelName": "<string>",
"modelType": "image"
}
],
"defaultHeaders": {},
"apiStyle": "chat"
},
"enabledForChat": true,
"modelScope": "all",
"modelIds": [
"<string>"
],
"projectScope": "all",
"projectIds": [
"<string>"
],
"status": "active",
"statusReason": "<string>",
"statusUpdated": "<string>"
}Authorizations
Use your api key generated from the admin console
Path Parameters
Body
application/json
Minimum string length:
1- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
Available options:
all, selected Available options:
all, selected, except Response
200 - application/json
Default Response
Available options:
openai, openrouter, anthropic, azure, google, activepieces, cloudflare-gateway, custom, bedrock, vertex, mistral, xai, deepseek, zai, qwen, minimax, moonshot, meta, nvidia - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
Show child attributes
Show child attributes
Available options:
all, selected Available options:
all, selected, except Available options:
active, out_of_credits, rejected, unreachable Was this page helpful?